/* global-style.css */
body {
  font-family: 'Segoe UI', sans-serif;
  background-color: #f9fafb;
  color: #111827;
  margin: 0;
  padding: 0;
}

.container {
  max-width: 1140px;
  margin: 40px auto;
  padding: 20px;
  background: #ffffff;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.05);
  border-radius: 12px;
}

.filterSection {
    width: 100%;
    display: inline-block;
    border-radius: 12px;
}

.filterSection.label {
    display:inline-block;
}

h1, h2, h3 {
  color: #111827;
}

label {
  font-weight: 500;
  display: block;
  margin-bottom: 6px;
  color: #374151;
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="file"],
select,
textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #d1d5db;
  border-radius: 6px;
  margin-bottom: 16px;
  font-size: 16px;
}

button {
  padding: 12px 24px;
  background: #2563eb;
  color: white;
  border: none;
  border-radius: 6px;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.3s;
}

button:hover {
  background: #1d4ed8;
}

.mensagem {
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 6px;
}

.mensagem.sucesso {
  background: #dcfce7;
  color: #065f46;
  border: 1px solid #bbf7d0;
}

.mensagem.erro {
  background: #fee2e2;
  color: #991b1b;
  border: 1px solid #fecaca;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
}

th, td {
  padding: 12px;
  border: 1px solid #e5e7eb;
  text-align: left;
}

th {
  background-color: #f3f4f6;
  font-weight: 600;
}

.charts {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 30px 0;
    justify-items: center;
    align-items: center;
}
.charts canvas {
    width: 50% !important;
    max-width: 50% !important;
    height: auto !important;
}
#graficoStatus{
    max-width:50% !important;
}

